MyBB Theme Patcher (Fixes Authorization Mismatch Errors)
#1
Hello everyone, 

I threw together a quick plugin last night to help resolve issues that often occur on some older MyBB themes. This should fix *most* cases of authorization mismatch errors on themes for MyBB 1.8.16 and older (and should address login issues as well). Simply upload the plugin to your server, activate, and you're done! 

IMPORTANT: This is a pre-release plugin! Make a backup of your database before use! This is NOT ready for a live installation.

I'm currently looking for help testing it before the final release. I'm also looking for older themes that have known issues with authorization codes. If you know of any specific themes you have had to patch manually, please drop a link below! I will gladly test on my own installation. Smile

Also note that there is no undo functionality at this time. Because such an "unpatch" functionality would technically break existing themes, all patches are permanent. Toungue


This has been released. It's now live-forum safe! Smile

Official Upload: https://community.mybb.com/mods.php?acti...w&pid=1404


Attached Files
.zip   Automatic MyBB Theme Patcher.zip (Size: 23.21 KB / Downloads: 100)
Reply
#2
This has been released! It has been tested thoroughly on multiple themes and on multiple live forum installations. It uses a series of search/replace statements to automatically apply the fixes from this thread, so this should resolve most login issues on older themes with a single-click plugin.
Reply
#3
Oh, I see, seems rather useful considering a lot of themes have different strings for the login form.

Regards!
Reply
#4
(2020-10-23, 11:11 PM)Omar G. Wrote: Oh, I see, seems rather useful considering a lot of stuff have different strings for the login form.

Regards!

Thank you! I purposefully avoided preg_replace statements because I was worried it could break themes by matching incorrectly. I used a long series of simple search/replace strings instead in the interest of stability. I looked through various themes to find the most commonly used strings, so this should work correctly on the majority of themes available. So far, it's worked in every single theme we've tried it on. 

Thank you for the feedback as always! You have been a great help in several of the plugins I have worked on recently. Smile
Reply
#5
Sure, thank you for your contribution as well.

I just added this thread link to the following thread for users to find it easier.
https://community.mybb.com/thread-218862.html
Reply
#6
So i got a problem )
Im setting up a forum on localhost at the moment I had this login problem on main site and i solved it by adding strings in <form> as instructed. But now I have cloned a forum for testing before appling to my live forum and i get this problem on a test forum. Now i cant solved it as I already have all the strings added. I even tried installing this plugin provided by OP and it stil doesnt help. What do i do now?

Ahh. this helped.. "enable the following setting: Admin CP -> Configuration -> Settings -> Server and Optimization Options -> Scrutinize User's IP address?"
Reply
#7
Does this work for 1.8.26 because Im having end users seeing this error message.

Thanks
Reply
#8
1.8.26 is not the issue - but the theme may be. If you have a 1.8.26 install but imported an older theme. Or upgraded an older theme / mybb version. Either way, the link Omar provided has the answer.
Reply
#9
(2021-05-21, 07:11 PM)andyfoster Wrote: Does this work for 1.8.26 because Im having end users seeing this error message.

Thanks

If you have issues with the plugin, try the fixes manually
https://community.mybb.com/thread-218862.html

Regards
WallBB
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)